// =====================================================================
//  $Id: TClearRunInformationModuleCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TClearRunInformationModuleCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:30  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TClearRunInformationModuleCommand.hh"
#include "TRunManager.hh"
#include "TSoftwareRunInformationModule.hh"
#include "TRunInformationTable.hh"

static const Tstring _name = "/run/clearinfo";
static const Tstring _desc = "clear run information in the table.";

TClearRunInformationModuleCommand::TClearRunInformationModuleCommand( TRunManager* manager, TSoftwareRunInformationModule* module )
  : TCommand( manager, _name, _desc ), TRunInformationModuleCommand( module )
{;}

TClearRunInformationModuleCommand::~TClearRunInformationModuleCommand()
{;}

Tvoid TClearRunInformationModuleCommand::Execute( const TstringList& arguments )
{
  if ( theRunInformationModule == 0 ) {
    return;
  }
  theRunInformationModule -> Clear();

  return;
}
